Subject: Bug#1117: x2goclient "stuck session" for select users that cannot be resumed or terminated

From: Jordan Poppenk <[email-masked]>
Date: Mon, 28 Nov 2016 22:31:21 +0000

Package: x2goclient (mac)
Version: 4.0.5.2

Above is my best guess as to the affected package, although I am not certain it is on the client end. Also, my issue is similar to the one reported here:
http://lists.x2go.org/pipermail/x2go-dev/2015-October/010734.html
...but that thread concludes without a solution that works for me.

x2go had been working for a dozen users of my server. One day, two of the users reported that they were no longer able to log in -- they were kicked back to the login screen after entering their ssh private key encryption password. After entering this, the users get the result: 
- Session: Session session started at: (date)
- Warning: Protocol mismatch or no X authentication data.
- Session: Terminating session at (date)
- Info: Your session was closed before reaching a usable state.
- Info: This can be due to the local X server refusing access to the client.
- Info: Please check authorization provided by the remote X application.
- Session: Session terminated at (date)
Sometimes, they are presented with a list of sessions that shows their "running" session. It allows them to terminate the session, then brings them back to the screen where they would terminate the session.

It is worth noting that their configuration was previously working. Also, I am sometimes able to fix issues like this by deleting the user's .Xauthority files, their .x2go folder, and their cache/lxsession folder; and rebooting. In this case, none of these things influenced the outcome of their login attempts. But, many other users are still able to access x2go normally on the same machine.

Both affected users are using the mac x2goclient (4.0.5.2) with xquartz 2.7.9 on OSX 10.11.6. On my server (running Ubuntu 16.04), x2goversion reports the following:
x2goagent: 3.5.0.32
x2godesktopsharing: 3.1.1.3
x2golxdebindings: 1.0.2.4
x2goserver: 4.0.1.19
x2goserver-extensions: 4.0.1.19
x2goserver-xsession: 4.0.1.19
It is worth noting that I sometimes experienced similar issues while still using Ubuntu 14.04.

A third user recently reported that after a crash that occurred after opening too many windows in her session, she started getting the same errors, which I have also been unable to resolve. Are you able to suggest any remedy? Where might the information about the "stuck session" live -- perhaps I could try deleting some session file that is stored on the user's machine?

Thank you in advance for any help you can offer, as well as your extremely helpful ongoing development of this portable desktop solution.

Cheers,
Jordan

Jordan Poppenk, Ph.D.
Canada Research Chair in Cognitive Neuroimaging
Department of Psychology and Centre for Neuroscience Studies
Queen's University
http://popmem.com
613-533-6009